package com.bocloud.nms.model.agile.sfc;

import java.util.Date;
import java.util.List;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: HuaChainTemplate
 * @Description:业务链模板
 * @author: zhenpingLi/李振平
 * @date: 2020/3/11 10:12
 */
public class AgileSfcTemplateModel {
    private String uuid; //业务链策略对象标识，该字段不支持更新
    private String name; //业务链策略对象名称
    private String remark; //业务链策略对象描述
    private String sdnTenantUuid;//SFC策略所属租户，该字段不支持更新
    private List<AgileSfcOrderModel> sfcOrderModels;//SF类型次序表
    private String producer; //配置来源
    private Date gmtCreate; //创建时间
    private Date gmtModify; //更新时间

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getSdnTenantUuid() {
        return sdnTenantUuid;
    }

    public void setSdnTenantUuid(String sdnTenantUuid) {
        this.sdnTenantUuid = sdnTenantUuid;
    }

    public String getProducer() {
        return producer;
    }

    public void setProducer(String producer) {
        this.producer = producer;
    }

    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public Date getGmtModify() {
        return gmtModify;
    }

    public void setGmtModify(Date gmtModify) {
        this.gmtModify = gmtModify;
    }

    public List<AgileSfcOrderModel> getSfcOrderModels() {
        return sfcOrderModels;
    }

    public void setSfcOrderModels(List<AgileSfcOrderModel> sfcOrderModels) {
        this.sfcOrderModels = sfcOrderModels;
    }
}
